package com.liquidnet.service.account.wallet.bo;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class FinBizTransDetailBo {
    private String transNo;
    private BigDecimal balanceAvailable;
    private BigDecimal balancePending;
    private BigDecimal balanceFrozen;
    private String transType;
    private Integer transStatus;
    private String reasons;
    private LocalDateTime completeTime;
    private LocalDateTime updateTime;
    private String walletNo;
    private BigDecimal amount;
    private String tracingType;
    private String tracingNo;
    private LocalDateTime tracingTime;
    private String tracingTitle;
    private String tracingDesc;

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public BigDecimal getBalanceAvailable() {
        return balanceAvailable;
    }

    public void setBalanceAvailable(BigDecimal balanceAvailable) {
        this.balanceAvailable = balanceAvailable;
    }

    public BigDecimal getBalancePending() {
        return balancePending;
    }

    public void setBalancePending(BigDecimal balancePending) {
        this.balancePending = balancePending;
    }

    public BigDecimal getBalanceFrozen() {
        return balanceFrozen;
    }

    public void setBalanceFrozen(BigDecimal balanceFrozen) {
        this.balanceFrozen = balanceFrozen;
    }

    public String getTransType() {
        return transType;
    }

    public void setTransType(String transType) {
        this.transType = transType;
    }

    public Integer getTransStatus() {
        return transStatus;
    }

    public void setTransStatus(Integer transStatus) {
        this.transStatus = transStatus;
    }

    public String getReasons() {
        return reasons;
    }

    public void setReasons(String reasons) {
        this.reasons = reasons;
    }

    public LocalDateTime getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(LocalDateTime completeTime) {
        this.completeTime = completeTime;
    }

    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }

    public String getWalletNo() {
        return walletNo;
    }

    public void setWalletNo(String walletNo) {
        this.walletNo = walletNo;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getTracingType() {
        return tracingType;
    }

    public void setTracingType(String tracingType) {
        this.tracingType = tracingType;
    }

    public String getTracingNo() {
        return tracingNo;
    }

    public void setTracingNo(String tracingNo) {
        this.tracingNo = tracingNo;
    }

    public LocalDateTime getTracingTime() {
        return tracingTime;
    }

    public void setTracingTime(LocalDateTime tracingTime) {
        this.tracingTime = tracingTime;
    }

    public String getTracingTitle() {
        return tracingTitle;
    }

    public void setTracingTitle(String tracingTitle) {
        this.tracingTitle = tracingTitle;
    }

    public String getTracingDesc() {
        return tracingDesc;
    }

    public void setTracingDesc(String tracingDesc) {
        this.tracingDesc = tracingDesc;
    }
}
